.our-vision {
    position: relative;
}

.our-vision h2.text-left {
    font-size: var(--font-size-32);
    font-weight: 600;
    color: var(--color-black);
    margin: 0;
    text-align: left;
}

.our-vision h2.text-center {
    font-size: var(--font-size-32);
    font-weight: 600;
    color: var(--color-black);
    margin: 24px 0;
    text-align: center;
}

.our-vision h2.text-right {
    font-size: var(--font-size-32);
    font-weight: 600;
    color: var(--color-black);
    margin: 0;
    text-align: right;
}

.our-vision p {
    font-size: var(--font-size-16);
    font-weight: 400;
    color: var(--color-black);
    margin: 24px 0;
}

.our-vision ul {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    flex-wrap: wrap;
    gap: 24px;
    margin: 0;
    padding: 0;
    list-style: none;
}

.our-vision ul li {
    background-color: var(--color-white);
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 10px;
    border-radius: 14px;
    border: 1px solid #D9D9D9;
    padding: 33px 14px;
}

.icon-container {
    min-width: 36px;
    min-height: 36px;
    background-color: var(--color-light-300);
    border-radius: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.icon-container i {
    font-size: var(--font-size-20);
    color: var(--color-primary);
}

.our-vision ul li span {
    font-size: var(--font-size-16);
    font-weight: 400;
    color: var(--color-black);
    margin: 0;
    line-height: 1.5;
}

@media (max-width: 767px) {
    .our-vision h2.text-left {
        font-size: var(--font-size-24);
    }
    .our-vision h2.text-center {
        font-size: var(--font-size-24);
    }
    .our-vision p {
        font-size: var(--font-size-16);
    }
    .our-vision ul {
        grid-template-columns: repeat(1, 1fr);
    }
    .our-vision ul li {
        padding: 24px 14px;
    }
    .our-vision ul li span {
        font-size: var(--font-size-14);
    }
}

@media (min-width: 768px) and (max-width: 1023px) {
    .our-vision h2.text-left {
        font-size: var(--font-size-24);
    }
    .our-vision h2.text-center {
        font-size: var(--font-size-24);
    }
    .our-vision p {
        font-size: var(--font-size-16);
    }
    .our-vision ul {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 1024px) and (max-width: 1279px) {
    .our-vision h2.text-left {
        font-size: var(--font-size-24);
    }
    .our-vision h2.text-center {
        font-size: var(--font-size-24);
    }
    .our-vision p {
        font-size: var(--font-size-16);
    }
    .our-vision ul {
        grid-template-columns: repeat(3, 1fr);
    }
}